fuzzyflakes(6)

NAME
fuzzyflakes - falling snowflakes/flower shapes

SYNOPSIS
fuzzyflakes [--display host:display.screen] [--foreground color] [--background color] [--window] [--root] [--window-id number][--mono] [--install] [--visual visual] [--delay usecs] [--speed int] [--arms int] [--thickness int] [--bthickness int] [--radius int] [--layers int] [--density int] [--no-db] (-color string) (-random-colors) [--fps]

DESCRIPTION
The fuzzyflakes program draws falling pastel colored snowflake/flower shapes. Inspired by the credits of the anime "Azumanga Daioh".

OPTIONS
fuzzyflakes accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--mono
    If on a color display, pretend we're on a monochrome display.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--delay usecs
    The delay between steps of the animation, in microseconds. Default: 250000.

--speed int
    How fast, 1-50. Default 10.

--arms int
    How many arms on the flakes; default 5.

--thickness int
    How thick to make the lines; default 10 pixels.

--bthickness int
    How thick to make the borders; default 3 pixels.

--radius int
    Radius of the objects; default 20 pixels.

--layers int
    How many layers of objects; default 3.

--density int
    Default 5.

--no-db
    Disable double-buffering.

--color string
    The base color for the color scheme. Typed as a hexadecimal triplet with or with out the leading #. ie. fa4563 & #43cd12 are both acceptable. If the saturation of you color is too low (<0.03) the random color generator will kick in. The default color is #efbea5

--random-colors
    This enables the random color generation. It is disabled by default. It overrides anything from -color

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2004 Barry Dmytro. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Barry Dmytro <badcherry@mailc.net>

CREDITS
The color generation algorithm was borrowed from a friend <ZoeB> from #vegans@irc.blitzed.org. Her site was [REDACTED]. To see her original code in action visit her site.